Enable TLS 1.2

Hi All,
I would like to know if what are the steps or configurations that I should do to enable support for TLS 1.2 or is this one already supported out-of-the-box when we install Mendelson? I am currently using Mendelson Opensource AS2 1.1 build 51.

Regards,
Lawrence

Foren
AS2

Comments

Lawrence,

the automatic supported TLS version depends on the used JVM and is independend of the used version of mendelson AS2.
JVM 1.7: TLS1.0, TLS1.1
JVM >= 1.8: TLS1.0, TLS1.1, TLS1.2

If you are using Linux/MacOS/AIX/Solaris you should know the used JVM version because you installed it - if you used the windows installer please type "c:\mendelson\opensource\as2\jre\bin\java -version" to get it.
The next version will have an information dialog in the client that informs about the available TLS algorithm and scheme and the available TLS versions of the current installation, it contains also information about the HTTP ports and their binding.

Regards

Regards

Hi Mendelson Support,
Thank you for the quick response, I am currently using the windows version so I checked my java version as you mentioned and got the following:
C:\mendelson\opensource\as2\jre\bin>java -version
java version "1.8.0_51"
Java(TM) SE Runtime Environment (build 1.8.0_51-b16)
Java HotSpot(TM) 64-Bit Server VM (build 25.51-b03, mixed mode)

I have the 1.8 version of java so am I already good to go? Or should I download the JVM bundle from oracle site since it does not mention that I have JVM installed?

Regards,
Lawrence